    import LeagueSuperclass from 'kayn/lib/Endpoints/LeagueEndpoint/LeagueSuperclass.js'

public class | source

# LeagueSuperclass

#### Extends:

Endpoint~Endpoint → LeagueSuperclass

#### Direct Subclass:

ChallengerEndpoint, LeagueEndpoint, LeaguePositionsEndpoint, MasterEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | serviceName: string |

## Public Constructors

### public constructor() source

## Public Members

### public serviceName: string source